Page MenuHomePhabricator

OggHandler: Undefined index: 1
Closed, ResolvedPublic

Description

Error

Request ID: XUx1SwpAMEAAAIfqmUMAAABN
Request URL: https://commons.wikimedia.org/w/api.php?action=query&format=json&prop=stashimageinfo&siifilekey=16t8ylxwra54%2Ea1rkke%2E56502%2Eogx&siiprop=url&siiurlwidth=230&errorformat=html&errorlang=uk&errorsuselocal=1&formatversion=2
Referrer: https://commons.wikimedia.org/wiki/Special:UploadWizard

message
[XUx1SwpAMEAAAIfqmUMAAABN] /w/api.php?action=query&format=json&prop=stashimageinfo&siifilekey=16t8ylxwra54%2Ea1rkke%2E56502%2Eogx&siiprop=url&siiurlwidth=230&errorformat=html&errorlang=uk&errorsuselocal=1&formatversion=2   ErrorException from line 133 of /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/File_Ogg/File/Ogg/Media.php: PHP Notice: Undefined index: 1
trace
#0 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/File_Ogg/File/Ogg/Media.php(133): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/File_Ogg/File/Ogg/Vorbis.php(286): File_Ogg_Media->_decodeBareCommentsHeader()
#2 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/File_Ogg/File/Ogg/Vorbis.php(172): File_Ogg_Vorbis->_decodeCommentsHeader(integer, integer)
#3 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/File_Ogg/File/Ogg.php(480): File_Ogg_Vorbis->__construct(integer, array, resource)
#4 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/File_Ogg/File/Ogg.php(207): File_Ogg->_splitStreams()
#5 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/OggHandler.php(17): File_Ogg->__construct(string)
#6 /srv/mediawiki/php-1.34.0-wmf.17/includes/filerepo/file/UnregisteredLocalFile.php(193): OggHandler->getMetadata(UploadStashFile, string)
#7 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/handlers/OggHandler/OggHandler.php(154): UnregisteredLocalFile->getMetadata()
#8 /srv/mediawiki/php-1.34.0-wmf.17/includes/media/MediaHandler.php(405): OggHandler->getImageSize(UploadStashFile, string)
#9 /srv/mediawiki/php-1.34.0-wmf.17/includes/filerepo/file/UnregisteredLocalFile.php(123): MediaHandler->getPageDimensions(UploadStashFile, integer)
#10 /srv/mediawiki/php-1.34.0-wmf.17/includes/filerepo/file/UnregisteredLocalFile.php(134): UnregisteredLocalFile->cachePageDimensions(integer)
#11 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/TimedMediaHandler.php(353): UnregisteredLocalFile->getWidth()
#12 /srv/mediawiki/php-1.34.0-wmf.17/extensions/TimedMediaHandler/includes/TimedMediaHandler.php(149): TimedMediaHandler->isAudio(UploadStashFile)
#13 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiQueryImageInfo.php(353): TimedMediaHandler->normaliseParams(UploadStashFile, array)
#14 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiQueryImageInfo.php(290): ApiQueryImageInfo->checkParameterNormalise(UploadStashFile, array)
#15 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiQueryStashImageInfo.php(60): ApiQueryImageInfo->mergeThumbParams(UploadStashFile, array, string)
#16 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiQuery.php(250): ApiQueryStashImageInfo->execute()
#17 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiMain.php(1589): ApiQuery->execute()
#18 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiMain.php(533): ApiMain->executeAction()
#19 /srv/mediawiki/php-1.34.0-wmf.17/includes/api/ApiMain.php(504): ApiMain->executeActionWithErrorHandling()
#20 /srv/mediawiki/php-1.34.0-wmf.17/api.php(86): ApiMain->execute()
#21 /srv/mediawiki/w/api.php(3): include(string)
#22 {main}
Impact

Unclear.

Notes

14 of these since rolling wmf.17 to group1, mostly since rolling to all wikis.

Event Timeline

brennen created this task.Aug 8 2019, 7:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2019, 7:24 PM
brion added a subscriber: brion.Aug 9 2019, 7:10 PM

This seems to be during a chunked upload of an Ogg audio or video file. Any chance we can get the original file chunks?

Appears to be processing comment chunks and there's a missing "=" in one of the comments. Normally this would trigger a harmless notice and everything else would work properly... easy enough to stick a guard in.

Change 529420 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Guard notice in Ogg Vorbis comments with no "=" char

https://gerrit.wikimedia.org/r/529420

Change 529420 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Guard notice in Ogg Vorbis comments with no "=" char

https://gerrit.wikimedia.org/r/529420

Change 530558 had a related patch set uploaded (by Krinkle; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.17] Guard notice in Ogg Vorbis comments with no "=" char

https://gerrit.wikimedia.org/r/530558

Change 530558 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.34.0-wmf.17] Guard notice in Ogg Vorbis comments with no "=" char

https://gerrit.wikimedia.org/r/530558

TheDJ closed this task as Resolved.Aug 17 2019, 9:02 PM
TheDJ assigned this task to brion.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:05 PM